Class | Bio::KEGG::KGML::Graphics
In: | lib/bio/db/kegg/kgml.rb
Parent: | Object

Bio::KEGG::KGML::Graphics contains a ‘graphics’ element in the KGML.

### Attributes

bgcolor | [RW] | background color (String or nil)
coords | [RW] | polyline coordinates (Array containing Array of [ x, y ] pair of Integer values)
fgcolor | [RW] | foreground color (String or nil)
height | [RW] | height (Integer or nil)
name | [RW] | label of the ‘graphics’ element (String or nil)

type

[RW]

shape of the ‘graphics’ element (String or nil) Normally one of the following:

- "rectangle"
- "circle"
- "roundrectangle"
- "line"

If not specified, "rectangle" is the default value.

width | [RW] | width (Integer or nil)
x | [RW] | X axis position (Integer or nil)
y | [RW] | Y axis position (Integer or nil)

[Validate]